Bug 58575 - Error While Updating - Key Error:Label
Summary: Error While Updating - Key Error:Label
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
(Show other bugs)
Version: 7.1
Hardware: i686 Linux
high
high
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-01-20 09:40 UTC by David Hoffard-Blaauw
Modified: 2006-02-21 18:48 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 18:48:21 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description David Hoffard-Blaauw 2002-01-20 09:40:01 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows 98; VZ_IE5; Q312461)

Description of problem:
I was uprading packages on my system when an error message appeared with the 
following:

Traceback (innermost last):
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/iw/progress_gui.py", line 19, 
in run
    rc = self.todo.doInstall ()
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/todo.py", line 2081, in 
doInstall
    self.hdList, self.upgrade, langlist)
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/lilo.py", line 277, in install
    lilo.read (instRoot + '/etc/lilo.conf')
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/lilo.py", line 126, in read
    if image: self.addImage(image)
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/lilo.py", line 79, in addImage
    config.getEntry('label')
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/lilo.py", line 54, in getEntry
    return self.items[item]
KeyError: label

Local variables in innermost frame:
self: 
item: label

ToDo object:
(itodo
ToDo
p1
(dp2
S'resState'
p3
S''
sS'progressWindow'
p4
(igui
ProgressWindow
(dp5
S'total'
p6
I11
sS'window'
p7
(igtk
GtkWindow
(dp8
S'_o'
p9

<failed>


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Boot from CD1
2.Select the Upgrade option
3.Select packages to upgrade
4. Begin installation procedure
	

Expected Results:  Package installation successfullt completed

Additional info:

Comment 1 Michael Fulbright 2002-01-21 17:37:36 UTC
Could you please attached your /etc/lilo.conf?

Comment 2 Michael Fulbright 2002-02-27 19:52:03 UTC
Closing due to inactivity, please reopen this report if you continue to have
problems.

Comment 3 Red Hat Bugzilla 2006-02-21 18:48:21 UTC
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.


Note You need to log in before you can comment on or make changes to this bug.